MDVA-34474: Update van API-aanvraaglijst resulteert in een fout

De patch MDVA-34474 verhelpt het probleem dat het toevoegen van een product aan de aanvraaglijst met behulp van API tot een fout leidt. Deze pleister is beschikbaar wanneer de Kwaliteitspatches (QPT) 1.0.19 is geïnstalleerd. De patch-id is MDVA-34474. De kwestie is opgelost in Adobe Commerce 2.4.3.

Betrokken producten en versies

De patch wordt gemaakt voor Adobe Commerce-versie:

Adobe Commerce over cloudinfrastructuur 2.4.0

Compatibel met Adobe Commerce-versies:

Adobe Commerce op locatie en Adobe Commerce op cloudinfrastructuur 2.3.0 - 2.4.2

NOTE
De patch kan van toepassing worden op andere versies met nieuwe versies van het Hulpprogramma voor kwaliteitspatches. Als u wilt controleren of de patch compatibel is met uw Adobe Commerce-versie, werkt u de magento/quality-patches het pakket aan de recentste versie en controleer verenigbaarheid op Quality Patches Tool: Pagina met patches zoeken. Gebruik de patch-id als een zoekwoord om de patch te zoeken.

Probleem

Het toevoegen van een product aan de aanvraaglijst met behulp van API resulteert in een fout.

Stappen om te reproduceren:

  1. Aanvraaglijst activeren in Admin (Winkels > Configuratie > Algemeen > B2B-functies > Aanvraaglijst inschakelen = Ja).
  2. Maak een klant.
  3. Creeer een nieuwe verzoeklijst voor deze klant die vraag verzendt json POST rest/all/V1/requisition_lists met de json payload bijgevoegd.

Verwachte resultaten:

Geen fout en de lijst wordt gemaakt.

Werkelijke resultaten:

400 fout.

{"message":"Could not save Requisition List"}

De patch toepassen

Om individuele flarden toe te passen, gebruik de volgende verbindingen afhankelijk van uw plaatsingsmethode:

Gerelateerde lezing

Raadpleeg voor meer informatie over het gereedschap Kwaliteitspatches:

Voor informatie over andere patches die beschikbaar zijn in QPT, raadpleegt u de Patches beschikbaar in QPT sectie.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a